ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.109 by root, Wed Aug 1 18:38:15 2007 UTC vs.
Revision 1.110 by ayin, Thu Aug 2 00:29:23 2007 UTC

687X_CFLAGS 687X_CFLAGS
688X_PRE_LIBS 688X_PRE_LIBS
689X_LIBS 689X_LIBS
690X_EXTRA_LIBS 690X_EXTRA_LIBS
691afterimage_config 691afterimage_config
692XPM_CPPFLAGS
693XPM_CFLAGS
694XPM_LIBS
695rxvt_int16_typedef 692rxvt_int16_typedef
696rxvt_uint16_typedef 693rxvt_uint16_typedef
697rxvt_int32_typedef 694rxvt_int32_typedef
698rxvt_uint32_typedef 695rxvt_uint32_typedef
699rxvt_intp_define 696rxvt_intp_define
1324 NOTE: automatically enabled with --enable-shared 1321 NOTE: automatically enabled with --enable-shared
1325 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1322 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1326 --enable-combining enable composition of base and combining characters 1323 --enable-combining enable composition of base and combining characters
1327 --enable-xft enable xft support on systems that have it 1324 --enable-xft enable xft support on systems that have it
1328 --enable-font-styles enable bold and italic support 1325 --enable-font-styles enable bold and italic support
1329 --enable-xpm-background enable background pixmaps
1330 --enable-afterimage enable integration with libAfterImage for background images 1326 --enable-afterimage enable integration with libAfterImage for background images
1331 --enable-transparency enable transparent backgrounds 1327 --enable-transparency enable transparent backgrounds
1332 --enable-tinting enable tinting of transparent bg 1328 --enable-tinting enable tinting of transparent bg
1333 --enable-fading enable colors fading when off focus 1329 --enable-fading enable colors fading when off focus
1334 --enable-rxvt-scroll enable rxvt style scrollbar 1330 --enable-rxvt-scroll enable rxvt style scrollbar
1365 --with-res-class=CLASS use this as the resource class (default: URxvt) 1361 --with-res-class=CLASS use this as the resource class (default: URxvt)
1366 --with-name=NAME set the basename for the installed binaries (default: urxvt) 1362 --with-name=NAME set the basename for the installed binaries (default: urxvt)
1367 --with-term=NAME set the terminal to NAME (default: rxvt) 1363 --with-term=NAME set the terminal to NAME (default: rxvt)
1368 --with-terminfo=PATH set the path to the terminfo tree to PATH 1364 --with-terminfo=PATH set the path to the terminfo tree to PATH
1369 --with-x use the X Window System 1365 --with-x use the X Window System
1370 --with-xpm-includes=DIR use XPM includes in DIR
1371 --with-xpm-library=DIR use XPM library in DIR
1372 --with-xpm use XPM
1373 1366
1374Some influential environment variables: 1367Some influential environment variables:
1375 CC C compiler command 1368 CC C compiler command
1376 CFLAGS C compiler flags 1369 CFLAGS C compiler flags
1377 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a 1370 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
4413support_scroll_rxvt=yes 4406support_scroll_rxvt=yes
4414support_scroll_next=yes 4407support_scroll_next=yes
4415support_scroll_xterm=yes 4408support_scroll_xterm=yes
4416support_scroll_plain=yes 4409support_scroll_plain=yes
4417support_xim=yes 4410support_xim=yes
4418support_xpm=yes
4419support_afterimage=yes 4411support_afterimage=yes
4420support_afterstep=yes 4412support_afterstep=yes
4421support_xft=yes 4413support_xft=yes
4422support_unicode3=no 4414support_unicode3=no
4423support_combining=yes 4415support_combining=yes
4458 support_scroll_xterm=no 4450 support_scroll_xterm=no
4459 support_scroll_plain=no 4451 support_scroll_plain=no
4460 support_utmp=no 4452 support_utmp=no
4461 support_wtmp=no 4453 support_wtmp=no
4462 support_xim=no 4454 support_xim=no
4463 support_xpm=no
4464 support_afterimage=no 4455 support_afterimage=no
4465 support_afterstep=no 4456 support_afterstep=no
4466 support_xft=no 4457 support_xft=no
4467 support_unicode3=no 4458 support_unicode3=no
4468 support_combining=no 4459 support_combining=no
4489 support_scroll_xterm=yes 4480 support_scroll_xterm=yes
4490 support_scroll_plain=yes 4481 support_scroll_plain=yes
4491 support_utmp=yes 4482 support_utmp=yes
4492 support_wtmp=yes 4483 support_wtmp=yes
4493 support_xim=yes 4484 support_xim=yes
4494 support_xpm=yes
4495 support_afterimage=yes 4485 support_afterimage=yes
4496 support_afterstep=yes 4486 support_afterstep=yes
4497 support_xft=yes 4487 support_xft=yes
4498 support_unicode3=yes 4488 support_unicode3=yes
4499 support_combining=yes 4489 support_combining=yes
4533 4523
4534# Check whether --enable-font-styles was given. 4524# Check whether --enable-font-styles was given.
4535if test "${enable_font_styles+set}" = set; then 4525if test "${enable_font_styles+set}" = set; then
4536 enableval=$enable_font_styles; if test x$enableval = xyes -o x$enableval = xno; then 4526 enableval=$enable_font_styles; if test x$enableval = xyes -o x$enableval = xno; then
4537 support_styles=$enableval 4527 support_styles=$enableval
4538 fi
4539fi
4540
4541
4542# Check whether --enable-xpm-background was given.
4543if test "${enable_xpm_background+set}" = set; then
4544 enableval=$enable_xpm_background; if test x$enableval = xyes -o x$enableval = xno; then
4545 support_xpm=$enableval
4546 fi 4528 fi
4547fi 4529fi
4548 4530
4549 4531
4550# Check whether --enable-afterimage was given. 4532# Check whether --enable-afterimage was given.
6447 LDFLAGS=$ac_save_LDFLAGS 6429 LDFLAGS=$ac_save_LDFLAGS
6448 6430
6449fi 6431fi
6450 6432
6451 6433
6452
6453AFTERIMAGE_CFLAGS= 6434AFTERIMAGE_CFLAGS=
6454AFTERIMAGE_LIBS= 6435AFTERIMAGE_LIBS=
6455AFTERIMAGE_VERSION= 6436AFTERIMAGE_VERSION=
6456 6437
6457if test x$support_afterimage = xyes; then 6438if test x$support_afterimage = xyes; then
6523echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; } 6504echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; }
6524 else 6505 else
6525 { echo "$as_me:$LINENO: result: no" >&5 6506 { echo "$as_me:$LINENO: result: no" >&5
6526echo "${ECHO_T}no" >&6; } 6507echo "${ECHO_T}no" >&6; }
6527 fi 6508 fi
6528 fi
6529fi
6530
6531if test x$support_afterimage != xyes -a x$support_xpm = xyes ; then
6532
6533
6534
6535# Initialize some more variables set by options.
6536# The variables have the same names as the options, with
6537# dashes changed to underlines.
6538
6539# If we find XPM, set shell vars xpm_includes and xpm_libraries to the
6540# paths, otherwise set no_xpm=yes.
6541# Uses ac_ vars as temps to allow command line to override cache and checks.
6542{ echo "$as_me:$LINENO: checking for libXpm" >&5
6543echo $ECHO_N "checking for libXpm... $ECHO_C" >&6; }
6544
6545
6546# Check whether --with-xpm_includes was given.
6547if test "${with_xpm_includes+set}" = set; then
6548 withval=$with_xpm_includes; xpm_includes="$withval"
6549else
6550 xpm_includes=NO
6551fi
6552
6553
6554# Check whether --with-xpm_library was given.
6555if test "${with_xpm_library+set}" = set; then
6556 withval=$with_xpm_library; xpm_libraries="$withval"
6557else
6558 xpm_libraries=NO
6559fi
6560
6561
6562# --without-xpm overrides everything else, but does not touch the cache.
6563
6564# Check whether --with-xpm was given.
6565if test "${with_xpm+set}" = set; then
6566 withval=$with_xpm;
6567fi
6568
6569if test "$with_xpm" = no; then
6570 have_xpm=disabled
6571else
6572 if test "${ac_cv_have_xpm+set}" = set; then
6573 echo $ECHO_N "(cached) $ECHO_C" >&6
6574else
6575
6576 vt_xpm_include_X11=no
6577 if test -n "$xpm_includes"; then
6578 vt_xpm_includes=$xpm_includes
6579 else
6580 vt_xpm_includes=NO
6581 fi
6582 if test -n "$xpm_libraries"; then
6583 vt_xpm_libraries=$xpm_libraries
6584 else
6585 vt_xpm_libraries=NO
6586 fi
6587
6588 if test "$vt_xpm_includes" = NO; then
6589 # Guess where to find xpm.h
6590
6591ac_save_CPPFLAGS="$CPPFLAGS"
6592CPPFLAGS="$CPPFLAGS $X_CFLAGS"
6593
6594 # First, try using that file with no special directory specified.
6595cat >conftest.$ac_ext <<_ACEOF
6596/* confdefs.h. */
6597_ACEOF
6598cat confdefs.h >>conftest.$ac_ext
6599cat >>conftest.$ac_ext <<_ACEOF
6600/* end confdefs.h. */
6601#include <X11/xpm.h>
6602_ACEOF
6603if { (ac_try="$ac_cpp conftest.$ac_ext"
6604case "(($ac_try" in
6605 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6606 *) ac_try_echo=$ac_try;;
6607esac
6608eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6609 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
6610 ac_status=$?
6611 grep -v '^ *+' conftest.er1 >conftest.err
6612 rm -f conftest.er1
6613 cat conftest.err >&5
6614 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6615 (exit $ac_status); } >/dev/null && {
6616 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
6617 test ! -s conftest.err
6618 }; then
6619 # We can compile using X headers with no special include directory.
6620vt_xpm_includes=
6621vt_xpm_include_X11=yes
6622else
6623 echo "$as_me: failed program was:" >&5
6624sed 's/^/| /' conftest.$ac_ext >&5
6625
6626 CPPFLAGS="$ac_save_CPPFLAGS"
6627# Look for the header file in a standard set of common directories.
6628 for ac_dir in \
6629 /usr/X11/include \
6630 /usr/X11R6/include \
6631 /usr/X11R5/include \
6632 /usr/X11R4/include \
6633 \
6634 /usr/include/X11 \
6635 /usr/include/X11R6 \
6636 /usr/include/X11R5 \
6637 /usr/include/X11R4 \
6638 \
6639 /usr/local/X11/include \
6640 /usr/local/X11R6/include \
6641 /usr/local/X11R5/include \
6642 /usr/local/X11R4/include \
6643 \
6644 /usr/local/include/X11 \
6645 /usr/local/include/X11R6 \
6646 /usr/local/include/X11R5 \
6647 /usr/local/include/X11R4 \
6648 \
6649 /usr/X386/include \
6650 /usr/x386/include \
6651 /usr/XFree86/include/X11 \
6652 \
6653 /usr/include \
6654 /usr/local/include \
6655 /usr/unsupported/include \
6656 /usr/athena/include \
6657 /usr/local/x11r5/include \
6658 /usr/lpp/Xamples/include \
6659 \
6660 /usr/openwin/include \
6661 /usr/openwin/share/include \
6662 ; \
6663 do
6664 if test -r "$ac_dir/X11/xpm.h"; then
6665 vt_xpm_includes="$ac_dir"
6666 vt_xpm_include_X11=yes
6667 break
6668 else
6669 if test -r "$ac_dir/xpm.h"; then
6670 vt_xpm_includes=$ac_dir
6671 break
6672 fi
6673 fi
6674 done
6675fi
6676
6677rm -f conftest.err conftest.$ac_ext
6678fi
6679
6680if test "$vt_xpm_libraries" = NO; then
6681 # Check for the libraries.
6682
6683 # See if we find them without any special options.
6684 # Don't add to $LIBS permanently.
6685 ac_save_LIBS="$LIBS"
6686 LIBS="$LIBS $X_LIBS -lXpm -lX11"
6687cat >conftest.$ac_ext <<_ACEOF
6688/* confdefs.h. */
6689_ACEOF
6690cat confdefs.h >>conftest.$ac_ext
6691cat >>conftest.$ac_ext <<_ACEOF
6692/* end confdefs.h. */
6693
6694int
6695main ()
6696{
6697XpmReadFileToPixmap()
6698 ;
6699 return 0;
6700}
6701_ACEOF
6702rm -f conftest.$ac_objext conftest$ac_exeext
6703if { (ac_try="$ac_link"
6704case "(($ac_try" in
6705 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6706 *) ac_try_echo=$ac_try;;
6707esac
6708eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6709 (eval "$ac_link") 2>conftest.er1
6710 ac_status=$?
6711 grep -v '^ *+' conftest.er1 >conftest.err
6712 rm -f conftest.er1
6713 cat conftest.err >&5
6714 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6715 (exit $ac_status); } && {
6716 test -z "$ac_cxx_werror_flag" ||
6717 test ! -s conftest.err
6718 } && test -s conftest$ac_exeext &&
6719 $as_test_x conftest$ac_exeext; then
6720 LIBS="$ac_save_LIBS"
6721# We can link libXpm with no special library path.
6722vt_xpm_libraries=
6723else
6724 echo "$as_me: failed program was:" >&5
6725sed 's/^/| /' conftest.$ac_ext >&5
6726
6727 LIBS="$ac_save_LIBS"
6728# First see if replacing the include by lib works.
6729for ac_dir in \
6730 `echo "$vt_xpm_includes" | sed 's,include/X11,lib,;s,include,lib,'` \
6731 /usr/X11/lib \
6732 /usr/X11R6/lib \
6733 /usr/X11R5/lib \
6734 /usr/X11R4/lib \
6735 \
6736 /usr/lib/X11 \
6737 /usr/lib/X11R6 \
6738 /usr/lib/X11R5 \
6739 /usr/lib/X11R4 \
6740 \
6741 /usr/local/X11/lib \
6742 /usr/local/X11R6/lib \
6743 /usr/local/X11R5/lib \
6744 /usr/local/X11R4/lib \
6745 \
6746 /usr/local/lib/X11 \
6747 /usr/local/lib/X11R6 \
6748 /usr/local/lib/X11R5 \
6749 /usr/local/lib/X11R4 \
6750 \
6751 /usr/X386/lib \
6752 /usr/x386/lib \
6753 /usr/XFree86/lib/X11 \
6754 \
6755 /usr/lib \
6756 /usr/local/lib \
6757 /usr/unsupported/lib \
6758 /usr/athena/lib \
6759 /usr/local/x11r5/lib \
6760 /usr/lpp/Xamples/lib \
6761 \
6762 /usr/openwin/lib \
6763 /usr/openwin/share/lib \
6764 ; \
6765do
6766 for ac_extension in a so sl; do
6767 if test -r $ac_dir/libXpm.$ac_extension; then
6768 vt_xpm_libraries=$ac_dir
6769 break 2
6770 fi
6771 done
6772done
6773fi
6774
6775rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
6776 conftest$ac_exeext conftest.$ac_ext
6777fi
6778
6779
6780 if test "$vt_xpm_includes" = NO -o "$vt_xpm_libraries" = NO; then
6781 ac_cv_have_xpm="have_xpm=no"
6782 else
6783 ac_cv_have_xpm="have_xpm=yes \
6784 vt_xpm_includes=$vt_xpm_includes vt_xpm_libraries=$vt_xpm_libraries \
6785 vt_xpm_include_X11=$vt_xpm_include_X11"
6786 fi
6787fi
6788 eval "$ac_cv_have_xpm"
6789fi
6790
6791if test "$have_xpm" != yes; then
6792 { echo "$as_me:$LINENO: result: $have_xpm" >&5
6793echo "${ECHO_T}$have_xpm" >&6; }
6794 no_xpm=yes
6795else
6796 if test "$xpm_includes" != NO; then
6797 if test "$xpm_includes" = "$vt_xpm_includes"; then
6798 if test -r "$xpm_includes/X11/xpm.h"; then
6799 vt_xpm_include_X11=yes
6800 fi
6801 else
6802 vt_xpm_include_X11=no
6803 if test -z "$xpm_includes"; then
6804 cat >conftest.$ac_ext <<_ACEOF
6805/* confdefs.h. */
6806_ACEOF
6807cat confdefs.h >>conftest.$ac_ext
6808cat >>conftest.$ac_ext <<_ACEOF
6809/* end confdefs.h. */
6810#include <X11/xpm.h>
6811_ACEOF
6812if { (ac_try="$ac_cpp conftest.$ac_ext"
6813case "(($ac_try" in
6814 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6815 *) ac_try_echo=$ac_try;;
6816esac
6817eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6818 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
6819 ac_status=$?
6820 grep -v '^ *+' conftest.er1 >conftest.err
6821 rm -f conftest.er1
6822 cat conftest.err >&5
6823 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6824 (exit $ac_status); } >/dev/null && {
6825 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
6826 test ! -s conftest.err
6827 }; then
6828 vt_xpm_include_X11=yes
6829else
6830 echo "$as_me: failed program was:" >&5
6831sed 's/^/| /' conftest.$ac_ext >&5
6832
6833
6834fi
6835
6836rm -f conftest.err conftest.$ac_ext
6837 else
6838 if test -r "$xpm_includes/X11/xpm.h"; then
6839 vt_xpm_include_X11=yes
6840 fi
6841 fi
6842 fi
6843 vt_xpm_includes=$xpm_includes
6844 fi
6845 if test "x$xpm_libraries" != xNO; then
6846 vt_xpm_libraries=$xpm_libraries
6847 fi
6848 # Update the cache value to reflect the command line values.
6849 ac_cv_have_xpm="have_xpm=yes \
6850 vt_xpm_includes=$vt_xpm_includes vt_xpm_libraries=$vt_xpm_libraries \
6851 vt_xpm_include_X11=$vt_xpm_include_X11"
6852 eval "$ac_cv_have_xpm"
6853 { echo "$as_me:$LINENO: result: -I$vt_xpm_includes, -L$vt_xpm_libraries" >&5
6854echo "${ECHO_T}-I$vt_xpm_includes, -L$vt_xpm_libraries" >&6; }
6855 if test -n "$vt_xpm_includes"; then
6856 XPM_CPPFLAGS="-DHAVE_LIBXPM"
6857 fi
6858 if test -n "$vt_xpm_includes"; then
6859 XPM_CFLAGS="-I$vt_xpm_includes"
6860 fi
6861 XPM_LIBS="-lXpm"
6862 if test -n "$vt_xpm_libraries"; then
6863 XPM_LIBS="-L$vt_xpm_libraries $XPM_LIBS"
6864 fi
6865 if test "x$vt_xpm_include_X11" = xyes; then
6866
6867cat >>confdefs.h <<\_ACEOF
6868#define XPM_INC_X11 1
6869_ACEOF
6870
6871 fi
6872fi
6873
6874
6875
6876
6877
6878 if test x$no_xpm = xyes; then
6879 support_xpm=needsmanualspecification
6880 fi 6509 fi
6881fi 6510fi
6882 6511
6883{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5 6512{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
6884echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; } 6513echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
13105cat >>confdefs.h <<\_ACEOF 12734cat >>confdefs.h <<\_ACEOF
13106#define MOUSE_SLIP_WHEELING 1 12735#define MOUSE_SLIP_WHEELING 1
13107_ACEOF 12736_ACEOF
13108 12737
13109fi 12738fi
13110if test x$support_xpm = xyes -o x$support_afterimage = xyes ; then 12739if test x$support_afterimage = xyes; then
12740
12741cat >>confdefs.h <<\_ACEOF
12742#define HAVE_AFTERIMAGE 1
12743_ACEOF
12744
13111 12745
13112cat >>confdefs.h <<\_ACEOF 12746cat >>confdefs.h <<\_ACEOF
13113#define XPM_BACKGROUND 1 12747#define XPM_BACKGROUND 1
13114_ACEOF
13115
13116fi
13117
13118if test x$support_afterimage = xyes; then
13119
13120cat >>confdefs.h <<\_ACEOF
13121#define HAVE_AFTERIMAGE 1
13122_ACEOF 12748_ACEOF
13123 12749
13124fi 12750fi
13125 12751
13126 12752
14203X_CFLAGS!$X_CFLAGS$ac_delim 13829X_CFLAGS!$X_CFLAGS$ac_delim
14204X_PRE_LIBS!$X_PRE_LIBS$ac_delim 13830X_PRE_LIBS!$X_PRE_LIBS$ac_delim
14205X_LIBS!$X_LIBS$ac_delim 13831X_LIBS!$X_LIBS$ac_delim
14206X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 13832X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
14207afterimage_config!$afterimage_config$ac_delim 13833afterimage_config!$afterimage_config$ac_delim
14208XPM_CPPFLAGS!$XPM_CPPFLAGS$ac_delim
14209XPM_CFLAGS!$XPM_CFLAGS$ac_delim
14210XPM_LIBS!$XPM_LIBS$ac_delim
14211rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim 13834rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim
14212rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim 13835rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim
14213rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim 13836rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim
14214rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim 13837rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim
14215rxvt_intp_define!$rxvt_intp_define$ac_delim 13838rxvt_intp_define!$rxvt_intp_define$ac_delim
14224PERL_O!$PERL_O$ac_delim 13847PERL_O!$PERL_O$ac_delim
14225AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim 13848AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
14226AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 13849AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
14227include_stdint_h!$include_stdint_h$ac_delim 13850include_stdint_h!$include_stdint_h$ac_delim
14228include_stdarg_h!$include_stdarg_h$ac_delim 13851include_stdarg_h!$include_stdarg_h$ac_delim
13852include_stdlib_h!$include_stdlib_h$ac_delim
13853include_unistd_h!$include_unistd_h$ac_delim
13854include_string_h!$include_string_h$ac_delim
14229_ACEOF 13855_ACEOF
14230 13856
14231 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 13857 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14232 break 13858 break
14233 elif $ac_last_try; then 13859 elif $ac_last_try; then
14265 13891
14266 13892
14267ac_delim='%!_!# ' 13893ac_delim='%!_!# '
14268for ac_last_try in false false false false false :; do 13894for ac_last_try in false false false false false :; do
14269 cat >conf$$subs.sed <<_ACEOF 13895 cat >conf$$subs.sed <<_ACEOF
14270include_stdlib_h!$include_stdlib_h$ac_delim
14271include_unistd_h!$include_unistd_h$ac_delim
14272include_string_h!$include_string_h$ac_delim
14273include_fcntl_h!$include_fcntl_h$ac_delim 13896include_fcntl_h!$include_fcntl_h$ac_delim
14274include_util_h!$include_util_h$ac_delim 13897include_util_h!$include_util_h$ac_delim
14275include_assert_h!$include_assert_h$ac_delim 13898include_assert_h!$include_assert_h$ac_delim
14276include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 13899include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14277include_sys_select_h!$include_sys_select_h$ac_delim 13900include_sys_select_h!$include_sys_select_h$ac_delim
14280include_time_h!$include_time_h$ac_delim 13903include_time_h!$include_time_h$ac_delim
14281LIBOBJS!$LIBOBJS$ac_delim 13904LIBOBJS!$LIBOBJS$ac_delim
14282LTLIBOBJS!$LTLIBOBJS$ac_delim 13905LTLIBOBJS!$LTLIBOBJS$ac_delim
14283_ACEOF 13906_ACEOF
14284 13907
14285 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 13; then 13908 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then
14286 break 13909 break
14287 elif $ac_last_try; then 13910 elif $ac_last_try; then
14288 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 13911 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14289echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 13912echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14290 { (exit 1); exit 1; }; } 13913 { (exit 1); exit 1; }; }
14719 Install path: ${prefix}/bin 14342 Install path: ${prefix}/bin
14720 Compiler: $CXX 14343 Compiler: $CXX
14721 Compiler flags: $CXXFLAGS 14344 Compiler flags: $CXXFLAGS
14722 Linker: $LINKER" 14345 Linker: $LINKER"
14723 14346
14724if test x$support_xpm = xyes; then
14725 echo " Xpm library: $XPM_LIBS"
14726fi
14727
14728if test x$support_afterimage = xyes; then
14729 echo " AfterImage support: yes"
14730fi
14731
14732
14733if test x$term != x; then 14347if test x$term != x; then
14734 echo " set TERM to: $term" 14348 echo " set TERM to: $term"
14735fi 14349fi
14736if test x$terminfo != x; then 14350if test x$terminfo != x; then
14737 echo " set TERMINFO to: $terminfo" 14351 echo " set TERMINFO to: $terminfo"
14743fi 14357fi
14744echo 14358echo
14745echo " embedded perl: $support_perl" 14359echo " embedded perl: $support_perl"
14746echo " libafterimage: $support_afterimage" 14360echo " libafterimage: $support_afterimage"
14747echo 14361echo
14748if test x$support_xpm = xneedsmanualspecification; then
14749 echo ".----------------------------------------------------------------."
14750 echo ". WARNING: --enable-xpm-background was specified however the ."
14751 echo ". XPM includes files and libraries could not be found. ."
14752 echo ". XPM backgrounds are now being DISABLED! If you want ."
14753 echo ". to use them you should rerun configure with the ."
14754 echo ". appropriate --with-xpm-includes=/path/to/xpm/includes ."
14755 echo ". and --with-xpm-library=/path/to/xpm/library lines. ."
14756 echo ".----------------------------------------------------------------."
14757fi
14758if test x$support_xim = xyes -a x$rxvt_cv_func_xlocale = xno; then 14362if test x$support_xim = xyes -a x$rxvt_cv_func_xlocale = xno; then
14759 echo ".----------------------------------------------------------------." 14363 echo ".----------------------------------------------------------------."
14760 echo ". WARNING: --enable-xim was specified however the locale support ." 14364 echo ". WARNING: --enable-xim was specified however the locale support ."
14761 echo ". functions could not be found. ." 14365 echo ". functions could not be found. ."
14762 echo ". XIM is now being DISABLED! ." 14366 echo ". XIM is now being DISABLED! ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines